Vulnerability Name:

CVE-2017-17863

Assigned:2017-12-23
Published:2017-12-22
Updated:2018-01-12
Summary:kernel/bpf/verifier.c in the Linux kernel 4.9.x through 4.9.71 does not check the relationship between pointer values and the BPF stack, which allows local users to cause a denial of service (integer overflow or invalid memory access) or possibly have unspecified other impact.
CVSS v3 Severity:7.8 High (CVSS v3 Vector: CVSS:3.0/AV:L/AC:L/PR:L/UI:N/S:U/C:H/I:H/A:H)
6.8 Medium (Temporal CVSS v3 Vector: CVSS:3.0/AV:L/AC:L/PR:L/UI:N/S:U/C:H/I:H/A:H/E:U/RL:O/RC:C)
Exploitability Metrics:Attack Vector (AV): Local
Attack Complexity (AC): Low
Privileges Required (PR): Low
User Interaction (UI): None
Scope:Scope (S): Unchanged
Impact Metrics:Confidentiality (C): High
Integrity (I): High
Availibility (A): High
5.5 Medium (CCN CVSS v3 Vector: CVSS:3.0/AV:L/AC:L/PR:L/UI:N/S:U/C:N/I:N/A:H)
4.8 Medium (CCN Temporal CVSS v3 Vector: CVSS:3.0/AV:L/AC:L/PR:L/UI:N/S:U/C:N/I:N/A:H/E:U/RL:O/RC:C)
Exploitability Metrics:Attack Vector (AV): Local
Attack Complexity (AC): Low
Privileges Required (PR): Low
User Interaction (UI): None
Scope:Scope (S): Unchanged
Impact Metrics:Confidentiality (C): None
Integrity (I): None
Availibility (A): High
CVSS v2 Severity:7.2 High (CVSS v2 Vector: AV:L/AC:L/Au:N/C:C/I:C/A:C)
Exploitability Metrics:Access Vector (AV): Local
Access Complexity (AC): Low
Authentication (Au): None
Impact Metrics:Confidentiality (C): Complete
Integrity (I): Complete
Availibility (A): Complete
4.6 Medium (CCN CVSS v2 Vector: AV:L/AC:L/Au:S/C:N/I:N/A:C)
Exploitability Metrics:Access Vector (AV): Local
Access Complexity (AC): Low
Athentication (Au): Single_Instance
Impact Metrics:Confidentiality (C): None
Integrity (I): None
Availibility (A): Complete
Vulnerability Type:CWE-190
References:Source: BID
Type: VENDOR_ADVISORY
102321

Source: SECTRACK
Type: VENDOR_ADVISORY
1040058

Source: MISC
Type: PATCH
https://anonscm.debian.org/cgit/kernel/linux.git/tree/debian/patches/bugfix/all/bpf-reject-out-of-bounds-stack-pointer-calculation.patch?h=stretch-security

Source: XF
Type: UNKNOWN
linux-kernel-cve201717863-dos(136722)

Source: UBUNTU
Type: UNKNOWN
USN-3523-2

Source: DEBIAN
Type: VENDOR_ADVISORY
DSA-4073

Source: MISC
Type: PATCH
https://www.spinics.net/lists/stable/msg206985.html

Vulnerable Configuration:Configuration 1:
  • cpe:/o:linux:linux_kernel:4.9.1:*:*:*:*:*:*:*
  • OR cpe:/o:linux:linux_kernel:4.9.2:*:*:*:*:*:*:*
  • OR cpe:/o:linux:linux_kernel:4.9.3:*:*:*:*:*:*:*
  • OR cpe:/o:linux:linux_kernel:4.9.4:*:*:*:*:*:*:*
  • OR cpe:/o:linux:linux_kernel:4.9.5:*:*:*:*:*:*:*
  • OR cpe:/o:linux:linux_kernel:4.9.6:*:*:*:*:*:*:*
  • OR cpe:/o:linux:linux_kernel:4.9.7:*:*:*:*:*:*:*
  • OR cpe:/o:linux:linux_kernel:4.9.8:*:*:*:*:*:*:*
  • OR cpe:/o:linux:linux_kernel:4.9.9:*:*:*:*:*:*:*
  • OR cpe:/o:linux:linux_kernel:4.9.10:*:*:*:*:*:*:*
  • OR cpe:/o:linux:linux_kernel:4.9.11:*:*:*:*:*:*:*
  • OR cpe:/o:linux:linux_kernel:4.9.12:*:*:*:*:*:*:*
  • OR cpe:/o:linux:linux_kernel:4.9.13:*:*:*:*:*:*:*
  • OR cpe:/o:linux:linux_kernel:4.9.14:*:*:*:*:*:*:*
  • OR cpe:/o:linux:linux_kernel:4.9.15:*:*:*:*:*:*:*
  • OR cpe:/o:linux:linux_kernel:4.9.16:*:*:*:*:*:*:*
  • OR cpe:/o:linux:linux_kernel:4.9.17:*:*:*:*:*:*:*
  • OR cpe:/o:linux:linux_kernel:4.9.18:*:*:*:*:*:*:*
  • OR cpe:/o:linux:linux_kernel:4.9.19:*:*:*:*:*:*:*
  • OR cpe:/o:linux:linux_kernel:4.9.20:*:*:*:*:*:*:*
  • OR cpe:/o:linux:linux_kernel:4.9.21:*:*:*:*:*:*:*
  • OR cpe:/o:linux:linux_kernel:4.9.22:*:*:*:*:*:*:*
  • OR cpe:/o:linux:linux_kernel:4.9.23:*:*:*:*:*:*:*
  • OR cpe:/o:linux:linux_kernel:4.9.24:*:*:*:*:*:*:*
  • OR cpe:/o:linux:linux_kernel:4.9.25:*:*:*:*:*:*:*
  • OR cpe:/o:linux:linux_kernel:4.9.26:*:*:*:*:*:*:*
  • OR cpe:/o:linux:linux_kernel:4.9.27:*:*:*:*:*:*:*
  • OR cpe:/o:linux:linux_kernel:4.9.28:*:*:*:*:*:*:*
  • OR cpe:/o:linux:linux_kernel:4.9.29:*:*:*:*:*:*:*
  • OR cpe:/o:linux:linux_kernel:4.9.30:*:*:*:*:*:*:*
  • OR cpe:/o:linux:linux_kernel:4.9.31:*:*:*:*:*:*:*
  • OR cpe:/o:linux:linux_kernel:4.9.32:*:*:*:*:*:*:*
  • OR cpe:/o:linux:linux_kernel:4.9.33:*:*:*:*:*:*:*
  • OR cpe:/o:linux:linux_kernel:4.9.34:*:*:*:*:*:*:*
  • OR cpe:/o:linux:linux_kernel:4.9.35:*:*:*:*:*:*:*
  • OR cpe:/o:linux:linux_kernel:4.9.36:*:*:*:*:*:*:*
  • OR cpe:/o:linux:linux_kernel:4.9.37:*:*:*:*:*:*:*
  • OR cpe:/o:linux:linux_kernel:4.9.38:*:*:*:*:*:*:*
  • OR cpe:/o:linux:linux_kernel:4.9.39:*:*:*:*:*:*:*
  • OR cpe:/o:linux:linux_kernel:4.9.40:*:*:*:*:*:*:*
  • OR cpe:/o:linux:linux_kernel:4.9.41:*:*:*:*:*:*:*
  • OR cpe:/o:linux:linux_kernel:4.9.42:*:*:*:*:*:*:*
  • OR cpe:/o:linux:linux_kernel:4.9.43:*:*:*:*:*:*:*
  • OR cpe:/o:linux:linux_kernel:4.9.44:*:*:*:*:*:*:*

  • Configuration 2:
  • cpe:/o:debian:debian_linux:9.0:*:*:*:*:*:*:*

  • Denotes that component is vulnerable
    Oval Definitions
    Definition IDClassTitleLast Modified
    oval:com.ubuntu.xenial:def:201717863000
    V
    CVE-2017-17863 on Ubuntu 16.04 LTS (xenial) - high.
    2017-12-27
    oval:com.ubuntu.trusty:def:201717863000
    V
    CVE-2017-17863 on Ubuntu 14.04 LTS (trusty) - high.
    2017-12-27
    BACK
    linux linux_kernel 4.9.1
    linux linux_kernel 4.9.2
    linux linux_kernel 4.9.3
    linux linux_kernel 4.9.4
    linux linux_kernel 4.9.5
    linux linux_kernel 4.9.6
    linux linux_kernel 4.9.7
    linux linux_kernel 4.9.8
    linux linux_kernel 4.9.9
    linux linux_kernel 4.9.10
    linux linux_kernel 4.9.11
    linux linux_kernel 4.9.12
    linux linux_kernel 4.9.13
    linux linux_kernel 4.9.14
    linux linux_kernel 4.9.15
    linux linux_kernel 4.9.16
    linux linux_kernel 4.9.17
    linux linux_kernel 4.9.18
    linux linux_kernel 4.9.19
    linux linux_kernel 4.9.20
    linux linux_kernel 4.9.21
    linux linux_kernel 4.9.22
    linux linux_kernel 4.9.23
    linux linux_kernel 4.9.24
    linux linux_kernel 4.9.25
    linux linux_kernel 4.9.26
    linux linux_kernel 4.9.27
    linux linux_kernel 4.9.28
    linux linux_kernel 4.9.29
    linux linux_kernel 4.9.30
    linux linux_kernel 4.9.31
    linux linux_kernel 4.9.32
    linux linux_kernel 4.9.33
    linux linux_kernel 4.9.34
    linux linux_kernel 4.9.35
    linux linux_kernel 4.9.36
    linux linux_kernel 4.9.37
    linux linux_kernel 4.9.38
    linux linux_kernel 4.9.39
    linux linux_kernel 4.9.40
    linux linux_kernel 4.9.41
    linux linux_kernel 4.9.42
    linux linux_kernel 4.9.43
    linux linux_kernel 4.9.44
    debian debian_linux 9.0